ChartDirector Ver 5.0 (PHP Edition)

LinearMeter.setRail

Usage

setRail(railColor [, railWidth [, railOffset ]])

Description

Sets the position, width and color of the pointer rail.
The pointer rail is the locus traced out by the starting point of the meter pointer as the pointer slides on the meter. The pointer rail is on the opposite side of the meter scale.

Arguments

Argument | Default | Description
--- | --- | ---
railColor | (Mandatory) | The color of the pointer rail.
railWidth | 2 | The line width of the the pointer rail in pixels.
railOffset | 6 | The gap between the pointer rail and the plot area in pixels. A negative value will mean the pointer rail may move within the plot area.

Return Value

None

© 2009 Advanced Software Engineering Limited. All rights reserved.